# Uses of Interface
org.eclipse.birt.chart.model.data.DataSet

Packages that use DataSet
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.datafeed
Provides classes and interfaces that determine how a user's custom dataset needs to be interpreted.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.script

## Uses of DataSet in org.eclipse.birt.chart.computation

Constructors in org.eclipse.birt.chart.computation with parameters of type DataSet
Modifier
Constructor
Description
``
`DataSetIterator(DataSet ds)`
Constructor parameters in org.eclipse.birt.chart.computation with type arguments of type DataSet
Modifier
Constructor
Description
``
`UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets)`
The constructor.
``
`UserDataSetHints(org.eclipse.emf.common.util.EMap<String,DataSet> allSeriesDataSets, boolean bReverse)`
The constructor.

## Uses of DataSet in org.eclipse.birt.chart.datafeed

Methods in org.eclipse.birt.chart.datafeed that return DataSet
Modifier and Type
Method
Description
`DataSet`
DataSetAdapter.`fromString(String sDataSetRepresentation, DataSet ds)`
`DataSet`
IDataSetProcessor.`fromString(String sDataSetRepresentation, DataSet ds)`
Attempts to parse a line of text representing multiple values of a specific data element type and updates an existing data set or creates a new data set filled with these values.
`DataSet`
DataSetAdapter.`populate(Object oResultSetDef, DataSet ds)`
`DataSet`
IDataSetProcessor.`populate(Object oResultSetDef, DataSet ds)`
Populates a data set with data element values retrieved from a result set created as a result of query execution
Methods in org.eclipse.birt.chart.datafeed with parameters of type DataSet
Modifier and Type
Method
Description
`DataSet`
DataSetAdapter.`fromString(String sDataSetRepresentation, DataSet ds)`
`DataSet`
IDataSetProcessor.`fromString(String sDataSetRepresentation, DataSet ds)`
Attempts to parse a line of text representing multiple values of a specific data element type and updates an existing data set or creates a new data set filled with these values.
`Object`
DataSetAdapter.`getMaximum(DataSet ds)`
`Object`
IDataSetProcessor.`getMaximum(DataSet ds)`
Causes implementation specific data set processor classes to compute the maximum value in a data set of a specific series type.
`Object`
DataSetAdapter.`getMinimum(DataSet ds)`
`Object`
IDataSetProcessor.`getMinimum(DataSet ds)`
Causes implementation specific data set processor classes to compute the minimum value in a data set of a specific series type.
`DataSet`
DataSetAdapter.`populate(Object oResultSetDef, DataSet ds)`
`DataSet`
IDataSetProcessor.`populate(Object oResultSetDef, DataSet ds)`
Populates a data set with data element values retrieved from a result set created as a result of query execution

## Uses of DataSet in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return DataSet
Modifier and Type
Method
Description
`DataSet`
Series.`getDataSet()`
Returns the value dataSet.
`DataSet`
Series.`getDataSet(String userkey)`
Returns the user dataSet.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type DataSet
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EMap<String,DataSet>`
Series.`getDataSets()`
Returns the value of the 'Data Sets' map.
Methods in org.eclipse.birt.chart.model.component with parameters of type DataSet
Modifier and Type
Method
Description
`void`
Series.`setDataSet(String userKey, DataSet dataSet)`
Sets the user dataSet.
`void`
Series.`setDataSet(DataSet dataSet)`
Sets the value dataSet.

## Uses of DataSet in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return DataSet
Modifier and Type
Method
Description
`DataSet`
SeriesImpl.`getDataSet()`
`DataSet`
SeriesImpl.`getDataSet(String userkey)`
`DataSet`
EStringToDataSetMapEntryImpl.`getTypedValue()`
`DataSet`
EStringToDataSetMapEntryImpl.`getValue()`
`DataSet`
EStringToDataSetMapEntryImpl.`setValue(DataSet value)`
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type DataSet
Modifier and Type
Method
Description
`Map.Entry<String,DataSet>`
ComponentFactoryImpl.`createEStringToDataSetMapEntry()`
`org.eclipse.emf.common.util.EMap<String,DataSet>`
SeriesImpl.`getDataSets()`
`org.eclipse.emf.common.util.EMap<String,DataSet>`
EStringToDataSetMapEntryImpl.`getEMap()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type DataSet
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
EStringToDataSetMapEntryImpl.`basicSetTypedValue(DataSet newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesImpl.`setDataSet(String userKey, DataSet newDataSet)`
`void`
SeriesImpl.`setDataSet(DataSet newDataSet)`
`void`
EStringToDataSetMapEntryImpl.`setTypedValue(DataSet newValue)`
`DataSet`
EStringToDataSetMapEntryImpl.`setValue(DataSet value)`

## Uses of DataSet in org.eclipse.birt.chart.model.data

Subinterfaces of DataSet in org.eclipse.birt.chart.model.data
Modifier and Type
Interface
Description
`interface`
`BubbleDataSet`
A representation of the model object 'Bubble Data Set'.
`interface`
`DateTimeDataSet`
A representation of the model object 'Date Time Data Set'.
`interface`
`DifferenceDataSet`
A representation of the model object 'Difference Data Set'.
`interface`
`GanttDataSet`
A representation of the model object 'Gantt Data Set'.
`interface`
`NullDataSet`
A representation of the model object 'Null Data Set'.
`interface`
`NumberDataSet`
A representation of the model object 'Number Data Set'.
`interface`
`StockDataSet`
A representation of the model object 'Stock Data Set'.
`interface`
`TextDataSet`
A representation of the model object 'Text Data Set'.
Methods in org.eclipse.birt.chart.model.data that return DataSet
Modifier and Type
Method
Description
`DataSet`
DataSet.`copyInstance()`
`DataSet`
DataFactory.`createDataSet()`
Returns a new object of class 'Set'.

## Uses of DataSet in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement DataSet
Modifier and Type
Class
Description
`class`
`BubbleDataSetImpl`
An implementation of the model object 'Bubble Data Set'.
`class`
`DataSetImpl`
An implementation of the model object ' Set'.
`class`
`DateTimeDataSetImpl`
An implementation of the model object 'Date Time Data Set'.
`class`
`DifferenceDataSetImpl`
An implementation of the model object 'Difference Data Set'.
`class`
`GanttDataSetImpl`
An implementation of the model object 'Gantt Data Set'.
`class`
`NullDataSetImpl`
An implementation of the model object 'Null Data Set'.
`class`
`NumberDataSetImpl`
An implementation of the model object 'Number Data Set'.
`class`
`StockDataSetImpl`
An implementation of the model object 'Stock Data Set'.
`class`
`TextDataSetImpl`
An implementation of the model object 'Text Data Set'.
Methods in org.eclipse.birt.chart.model.data.impl that return DataSet
Modifier and Type
Method
Description
`DataSet`
DataSetImpl.`copyInstance()`
`DataSet`
DataFactoryImpl.`createDataSet()`

## Uses of DataSet in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type DataSet
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
Called after populating the series dataset.